Fedora 17 Installation Guide

From cchtml.com
Revision as of 16:29, 4 July 2013 by 94.246.109.30 (Talk)

Jump to: navigation, search

Note: 12.9 BETA minimum !!!For kernel 3.4.* and up

This section applies directly to users using the Official amd-driver-installer package downloaded from amd.com

rk]# cat /tmp/vmware-root/setup-2247.logSep 13 18:20:25.636: app-3077682880| Log for VMware Workstation pid=2247 version=7.1.4 build=build-385536 opoitn=ReleaseSep 13 18:20:25.636: app-3077682880| The process is 32-bit.Sep 13 18:20:25.636: app-3077682880| Host codepage=UTF-8 encoding=UTF-8Sep 13 18:20:25.636: app-3077682880| Logging to /tmp/vmware-root/setup-2247.logSep 13 18:20:25.755: app-3077682880| modconf query interface initializedSep 13 18:20:25.756: app-3077682880| modconf library initializedSep 13 18:20:25.839: app-3077682880| Your GCC version: 4.6Sep 13 18:20:25.848: app-3077682880| Your GCC version: 4.6Sep 13 18:20:25.859: app-3077682880| Your GCC version: 4.6Sep 13 18:20:25.886: app-3077682880| Your GCC version: 4.6Sep 13 18:20:25.897: app-3077682880| Your GCC version: 4.6Sep 13 18:20:25.936: app-3077682880| Trying to find a suitable PBM set for kernel 2.6.40.4-5.fc15.i686.PAE.Sep 13 18:20:25.941: app-3077682880| Trying to find a suitable PBM set for kernel 2.6.40.4-5.fc15.i686.PAE.Sep 13 18:20:25.947: app-3077682880| Trying to find a suitable PBM set for kernel 2.6.40.4-5.fc15.i686.PAE.Sep 13 18:20:25.952: app-3077682880| Trying to find a suitable PBM set for kernel 2.6.40.4-5.fc15.i686.PAE.Sep 13 18:20:25.957: app-3077682880| Trying to find a suitable PBM set for kernel 2.6.40.4-5.fc15.i686.PAE.Sep 13 18:20:25.983: app-3077682880| Trying to find a suitable PBM set for kernel 2.6.40.4-5.fc15.i686.PAE.Sep 13 18:20:25.988: app-3077682880| Trying to find a suitable PBM set for kernel 2.6.40.4-5.fc15.i686.PAE.Sep 13 18:20:25.993: app-3077682880| Trying to find a suitable PBM set for kernel 2.6.40.4-5.fc15.i686.PAE.Sep 13 18:20:25.998: app-3077682880| Trying to find a suitable PBM set for kernel 2.6.40.4-5.fc15.i686.PAE.Sep 13 18:20:26.003: app-3077682880| Trying to find a suitable PBM set for kernel 2.6.40.4-5.fc15.i686.PAE.Sep 13 18:20:26.010: app-3077682880| Your GCC version: 4.6Sep 13 18:20:26.034: app-3077682880| Your GCC version: 4.6Sep 13 18:20:26.087: app-3077682880| Trying to find a suitable PBM set for kernel 2.6.40.4-5.fc15.i686.PAE.Sep 13 18:20:26.093: app-3077682880| Trying to find a suitable PBM set for kernel 2.6.40.4-5.fc15.i686.PAE.Sep 13 18:20:26.098: app-3077682880| Trying to find a suitable PBM set for kernel 2.6.40.4-5.fc15.i686.PAE.Sep 13 18:20:26.103: app-3077682880| Trying to find a suitable PBM set for kernel 2.6.40.4-5.fc15.i686.PAE.Sep 13 18:20:26.108: app-3077682880| Trying to find a suitable PBM set for kernel 2.6.40.4-5.fc15.i686.PAE.Sep 13 18:20:26.115: app-3077682880| Your GCC version: 4.6Sep 13 18:20:26.126: app-3077682880| Your GCC version: 4.6Sep 13 18:20:26.185: app-3077682880| Trying to find a suitable PBM set for kernel 2.6.40.4-5.fc15.i686.PAE.Sep 13 18:20:26.190: app-3077682880| Trying to find a suitable PBM set for kernel 2.6.40.4-5.fc15.i686.PAE.Sep 13 18:20:26.195: app-3077682880| Trying to find a suitable PBM set for kernel 2.6.40.4-5.fc15.i686.PAE.Sep 13 18:20:26.200: app-3077682880| Trying to find a suitable PBM set for kernel 2.6.40.4-5.fc15.i686.PAE.Sep 13 18:20:26.205: app-3077682880| Trying to find a suitable PBM set for kernel 2.6.40.4-5.fc15.i686.PAE.Sep 13 18:20:26.319: app-3077682880| Trying to find a suitable PBM set for kernel 2.6.40.4-5.fc15.i686.PAE.Sep 13 18:20:26.320: app-3077682880| Building module vmmon.Sep 13 18:20:26.340: app-3077682880| Extracting the sources of the vmmon module.Sep 13 18:20:26.417: app-3077682880| Building module with command: /usr/bin/make -C /tmp/vmware-root/modules/vmmon-only auto-build SUPPORT_SMP=1 HEADER_DIR=/lib/modules/2.6.40.4-5.fc15.i686.PAE/build/include CC=/usr/lib/ccache/gcc GREP=/usr/bin/make IS_GCC_3=no VMCCVER=4.6.0Sep 13 18:20:31.555: app-3077682880| Failed to compile module vmmon![root@rk rk]#

Install driver

Run the file as root in the sh shell.

  su
  sh amd-driver-installer-14-9-linux-x86.x86_64.run


Select the default install, do not generate distribution packages.

Click "check log" when install finish

GENERATE DEFAULT CONFIG

  su
  sh aticonfig --initial


REBOOT

To Uninstall

Open terminal,SU to get root,type:

  sh /usr/share/ati/amd-uninstall.sh


Video playback

Add rpm-fusion repositories (free and non-free) via firefox

   http://download1.rpmfusion.org/free/fedora/rpmfusion-free-release-stable.noarch.rpm
   http://download1.rpmfusion.org/nonfree/fedora/rpmfusion-nonfree-release-stable.noarch.rpm
   open with Archive manager and install,this will provide extra video-codec like H-264,ac3,xvid,mp4.... 

Good luck,

winglman

knowledge is free, so share it!